# Form implementation generated from reading ui file 'src/eric7/Plugins/WizardPlugins/FontDialogWizard/FontDialogOptionsDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_FontDialogOptionsDialog(object):
    def setupUi(self, FontDialogOptionsDialog):
        FontDialogOptionsDialog.setObjectName("FontDialogOptionsDialog")
        FontDialogOptionsDialog.resize(400, 194)
        FontDialogOptionsDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(FontDialogOptionsDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.noNativeDialogCheckBox = QtWidgets.QCheckBox(parent=FontDialogOptionsDialog)
        self.noNativeDialogCheckBox.setObjectName("noNativeDialogCheckBox")
        self.verticalLayout.addWidget(self.noNativeDialogCheckBox)
        self.scalableCheckBox = QtWidgets.QCheckBox(parent=FontDialogOptionsDialog)
        self.scalableCheckBox.setObjectName("scalableCheckBox")
        self.verticalLayout.addWidget(self.scalableCheckBox)
        self.nonScalableCheckBox = QtWidgets.QCheckBox(parent=FontDialogOptionsDialog)
        self.nonScalableCheckBox.setObjectName("nonScalableCheckBox")
        self.verticalLayout.addWidget(self.nonScalableCheckBox)
        self.monospacedCheckBox = QtWidgets.QCheckBox(parent=FontDialogOptionsDialog)
        self.monospacedCheckBox.setObjectName("monospacedCheckBox")
        self.verticalLayout.addWidget(self.monospacedCheckBox)
        self.proportionalCheckBox = QtWidgets.QCheckBox(parent=FontDialogOptionsDialog)
        self.proportionalCheckBox.setObjectName("proportionalCheckBox")
        self.verticalLayout.addWidget(self.proportionalCheckBox)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=FontDialogOptionsDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(FontDialogOptionsDialog)
        self.buttonBox.accepted.connect(FontDialogOptionsDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(FontDialogOptionsDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(FontDialogOptionsDialog)

    def retranslateUi(self, FontDialogOptionsDialog):
        _translate = QtCore.QCoreApplication.translate
        FontDialogOptionsDialog.setWindowTitle(_translate("FontDialogOptionsDialog", "Font Dialog Options"))
        self.noNativeDialogCheckBox.setToolTip(_translate("FontDialogOptionsDialog", "Select to not use the platform\'s native font dialog"))
        self.noNativeDialogCheckBox.setText(_translate("FontDialogOptionsDialog", "Don\'t use native dialog"))
        self.scalableCheckBox.setToolTip(_translate("FontDialogOptionsDialog", "Select to show scalable fonts"))
        self.scalableCheckBox.setText(_translate("FontDialogOptionsDialog", "Scalable Fonts"))
        self.nonScalableCheckBox.setToolTip(_translate("FontDialogOptionsDialog", "Select to show non scalable fonts"))
        self.nonScalableCheckBox.setText(_translate("FontDialogOptionsDialog", "Non Scalable Fonts"))
        self.monospacedCheckBox.setToolTip(_translate("FontDialogOptionsDialog", "Select to show monospaced fonts"))
        self.monospacedCheckBox.setText(_translate("FontDialogOptionsDialog", "Monospaced Fonts"))
        self.proportionalCheckBox.setToolTip(_translate("FontDialogOptionsDialog", "Select to show proportional fonts"))
        self.proportionalCheckBox.setText(_translate("FontDialogOptionsDialog", "Proportional Fonts"))
